For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList agents
      • POSTCreate an agent
      • GETGet an agent
      • GETList agent versions for an agent
      • GETRevert to a specific agent version
      • GETList Agent Roles
      • POSTAssign Role to Agent
      • DELRemove Role from Agent
      • GETGet logs for an agent
      • GETGet an agent log
      • GETGet all agent logs in your environment
      • GETGet all executions in your environment
      • DELDelete an agent
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceAgents

Delete an agent

DELETE
https://api.x.flatfile.com/v1/agents/:agentId
DELETE
/v1/agents/:agentId
$curl -X DELETE https://api.x.flatfile.com/v1/agents/us_ag_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "success": true
4 }
5}
Deletes a single agent
Was this page helpful?
Previous

List apps

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agentIdstringRequired
Agent ID

Headers

X-Disable-Hooks"true"Required

Query parameters

environmentIdstringOptionalDeprecated
This environment variable is no longer needed or used

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error